clang 8.0.0

Functions
PlistReporter.cpp File Reference
`#include "Internals.h"`
`#include "clang/Basic/FileManager.h"`
`#include "clang/Basic/PlistSupport.h"`
`#include "clang/Basic/SourceManager.h"`
`#include "clang/Lex/Lexer.h"`
Include dependency graph for PlistReporter.cpp:

Go to the source code of this file.

## Functions
static StringRef | getLevelName (DiagnosticsEngine::Level Level)

## Function Documentation

## ◆ getLevelName()

static StringRef getLevelName | ( | DiagnosticsEngine::Level | Level | ) |
| static

Definition at line 19 of file PlistReporter.cpp.

References clang::DiagnosticsEngine::Error, clang::DiagnosticsEngine::Fatal, clang::DiagnosticsEngine::Ignored, clang::DiagnosticsEngine::Note, clang::DiagnosticsEngine::Remark, and clang::DiagnosticsEngine::Warning.

Referenced by clang::arcmt::writeARCDiagsToPlist().